Auteur Sujet: [résolu] Installation de amdgpu-pro sur LM20.1 (Radeon RX 580)  (Lu 225 fois)

0 Membres et 1 Invité sur ce sujet

[AF>Libristes] alain65

  • Messages: 250
  • Boinc'eur Confirmé
  • ***
  •   
Bonjour à tous.

Je suis dans la m..ouise.

La nuit dernière j'ai installé LM20.1 sur mon PC principal:
alain@alain-desktop:~$ inxi -CG
CPU:
  Topology: 8-Core model: AMD FX-8350 bits: 64 type: MCP L2 cache: 2048 KiB
  Speed: 1411 MHz min/max: 1400/4000 MHz Core speeds (MHz): 1: 1691 2: 1708
  3: 4164 4: 4147 5: 1585 6: 2023 7: 1861 8: 1995
Graphics:
  Device-1: AMD Ellesmere [Radeon RX 470/480/570/570X/580/580X/590]
  driver: amdgpu v: kernel
  Display: x11 server: X.Org 1.20.9 driver: amdgpu,ati
  unloaded: fbdev,modesetting,radeon,vesa resolution: 1920x1080~60Hz
  OpenGL: renderer: Radeon RX 580 Series v: 4.6.14736 Core Profile Context
alain@alain-desktop:~$
Qui était sous LM19.3, histoire de bénéficier d'un certain outil anisé  :siflotte:
Mal m'en a pris car, je n'arrive pas à installer amdgpu-pro  :cpopossib:
J'ai pourtant bien respecté les consignes d'installations qui avaient fonctionnées avec LM19.3: https://forums.linuxmint.com/viewtopic.php?p=1515630&sid=b2b0c1cdfdb5ad3e22e0c21b084a4876#p1515630 . Je me suis renseigné ce post est toujours valable pour LM20.1 et correspond aux consignes d'installations.
J'ai bien modifié mon: "/etc/os-release file" , pour faire croire à l'installateur que c'est une ubuntu 20.04.
Je n'ai pas mis le  "-y" au lancement du script d'installation (il parait que LM, n'aime pas répondre "oui" à notre place)
Malgré tout invariablement l'installation se termine par :
Des erreurs ont été rencontrées pendant l'exécution :
 amdgpu-dkms
 amdgpu
 amdgpu-pro
 amdgpu-pro-lib32
E: Sub-process /usr/bin/dpkg returned an error code (1)
J'ai bien tenté des:
sudo dpkg --configure -aet:
sudo apt-get install -fMais rien n'y fait  :(
Je me permet de mettre ici, l'intégralité de l'installation, c'est long je sais, mais si ça peut vous permettre de voir ou il y a le problème.

http://paste.alacon.org/47068

Je suis vraiment embêté car c'est ma plus grosse machine et l'installation de LM20.1 était justement en prévision du RAID. Si je n'arrive pas à démarrer cette carte graphique, je vais devoir malheureusement déclarer forfait  :cry:

Par avance merci :)  :kookoo:
 
« Modifié: 17 février 2021 à 05:13 par [AF>Libristes] alain65 »
In a world without walls and fences, who needs windows and gates?

Mes configs

Maeda

  • Messages: 1328
  • Boinc'eur devant l'éternel
  • *****
  •   
Re : installation de amdgpu-pro sur LM20.1 (Radeon RX 580)
« Réponse #1 le: 16 février 2021 à 21:24 »
Ces lignes me gêne :
Le paquet amdgpu-dkms n'est pas encore configuré.Vu sur ce lien, tu peux essayer d'utiliser le noyau précédent comme suggéré ?

Peut-être une piste...
Sous Linux ? => ⛏ Script pour suspendre / reprendre les UT | ☺Que faire avant un RAID/Pentathlon ? Passer l'aspirateur dans ses machines !

Folding@Home

[AF>Libristes] alain65

  • Messages: 250
  • Boinc'eur Confirmé
  • ***
  •   
Re : installation de amdgpu-pro sur LM20.1 (Radeon RX 580)
« Réponse #2 le: 16 février 2021 à 22:07 »
salut Maeda  :hello:

Merci pour ta réponse, oui essayer le noyau précédent, je n' y avais pas penser  :spamafote:
Je fais ça dans la nuit et te dis quoi.
J'ai le 5.4.0-65 je vais essayer le 5.4.0-54 comme le gars de ton lien pour qui ça a fonctionné.
« Modifié: 18 février 2021 à 00:12 par [AF>Libristes] alain65 »
In a world without walls and fences, who needs windows and gates?

Mes configs

[AF>Libristes] alain65

  • Messages: 250
  • Boinc'eur Confirmé
  • ***
  •   
Re : Re : installation de amdgpu-pro sur LM20.1 (Radeon RX 580)
« Réponse #3 le: 17 février 2021 à 05:12 »
Peut-être une piste...

Et une bonne ! :)
Car effectivement j'ai installé le 5.4.0-54 et ça fonctionne du premier coup  :gloiraseti:
 :banana:

Merci beaucoup Maeda, d'avoir penser au noyau, ça ne m'est pas venu à l’esprit.  :jap: :plusun:
« Modifié: 18 février 2021 à 00:11 par [AF>Libristes] alain65 »
In a world without walls and fences, who needs windows and gates?

Mes configs

Maeda

  • Messages: 1328
  • Boinc'eur devant l'éternel
  • *****
  •   
Re : [résolu] Installation de amdgpu-pro sur LM20.1 (Radeon RX 580)
« Réponse #4 le: 17 février 2021 à 07:28 »
 :hello:
Parfait ! Tu es prêt pour le RAID :gniak:
Sous Linux ? => ⛏ Script pour suspendre / reprendre les UT | ☺Que faire avant un RAID/Pentathlon ? Passer l'aspirateur dans ses machines !

Folding@Home

[AF>Libristes] alain65

  • Messages: 250
  • Boinc'eur Confirmé
  • ***
  •   
Re : [résolu] Installation de amdgpu-pro sur LM20.1 (Radeon RX 580)
« Réponse #5 le: 17 février 2021 à 21:42 »
Prêt, prêt c'est vite dit  :siflotte:

J'ai installé le logiciel pour lequel il me fallait LM20.1. Tout c'est bien passé, mais il n'a aucun effet.
Pourtant sur mes deux autres LM20.1 ça marche  :/
Je vais réessayer cette nuit et si ça ne fonctionne toujours pas, je posterai dans le topic ad hoc.
C'est un moindre mal, que celui de ne pas pouvoir faire cruncher sa carte graphique, tu vas me dire. Mais bon...

Ha! Au fait, j'ai bloqué la mise à jour du noyau 5.4.0.x, car forcément il me proposait la mise à jour vers le 4.5.0.65 que j'ai rm.
D'après vous serais-je obligé de rester toujours sur le 5.4.0.54 ? Ou pourrais-je refaire les majs kernel un jour?
« Modifié: 18 février 2021 à 00:11 par [AF>Libristes] alain65 »
In a world without walls and fences, who needs windows and gates?

Mes configs

[AF>Libristes] Davlabedave

  • Messages: 294
  • Boinc'eur Confirmé
  • ***
  •   
Re : [résolu] Installation de amdgpu-pro sur LM20.1 (Radeon RX 580)
« Réponse #6 le: 17 février 2021 à 22:59 »
J'ai eu des problemes similaires en voulant installer les amdgpu 20.45 sur une ubuntu 20.04 a jour (noyau 5.8.xx)
Ca  passe jusqu'en 5.6.xx

Pour mettre toute les chances de mon coté , j'ai installé le 5.6 , rebooter dessus , delete tout les autes noyau encore present , un ptit apt autoremove qui va bien.

Sur certaines config les 20.45 posent des problemes en opencl, les 20.30 sont plus stables https://drivers.amd.com/drivers/linux/amdgpu-pro-20.30-1109583-ubuntu-20.04.tar.xz
Edit apres test, les 20.30 et 20.45 fonctionnent sur noyau 5.4 a 5.6.10.xx
« Modifié: 18 février 2021 à 00:29 par [AF>Libristes] Davlabedave »

AMD Ryzen9 3900X@4.25Ghz all core (12c/24t), AMD Vega64, 32Go Patriot Viper Steel 4400@3733 CAS14, Seasonic Prime-TX 1000, Windows 10 /Ubuntu 20.04

[AF>Libristes] alain65

  • Messages: 250
  • Boinc'eur Confirmé
  • ***
  •   
Re : Re : [résolu] Installation de amdgpu-pro sur LM20.1 (Radeon RX 580)
« Réponse #7 le: 18 février 2021 à 00:23 »

Bonjour :kookoo:
Pour mettre toute les chances de mon coté , j'ai installé le 5.6 , rebooter dessus , delete tout les autes noyau encore present , un ptit apt autoremove qui va bien.
Oui ok, c'est la manipe que j'ai du faire sauf que moi c'est avec le 20.20 et le noyau qui n'allait pas le 5.4.0-65 et celui qui va le 5.4.0-54, pas énorme comme différence de version de noyau, mais la c'est passé.
Mais as tu bloqué tes mises à jour de kernels?  ou es tu bloqué sur ta version du 5.6 ?

Autrement dis: Qu'est ce que je risque a faire mes mise à jours de kernel ?
In a world without walls and fences, who needs windows and gates?

Mes configs

[AF>Libristes] Davlabedave

  • Messages: 294
  • Boinc'eur Confirmé
  • ***
  •   
Re : [résolu] Installation de amdgpu-pro sur LM20.1 (Radeon RX 580)
« Réponse #8 le: 18 février 2021 à 00:48 »
Prends les 20.30 et passe en 5.6
Sur ubuntu , ne me propose plus les maj en 5.8 depuis que unistall  :D, au pire il n'y arrivera pas du a l'erreur dpkg et annulera
Tu ne risques rien a part des nouveautés inclues dans les nouveaux kernel que tu n'aura pas

AMD Ryzen9 3900X@4.25Ghz all core (12c/24t), AMD Vega64, 32Go Patriot Viper Steel 4400@3733 CAS14, Seasonic Prime-TX 1000, Windows 10 /Ubuntu 20.04

[AF>Libristes] alain65

  • Messages: 250
  • Boinc'eur Confirmé
  • ***
  •   
Re : [résolu] Installation de amdgpu-pro sur LM20.1 (Radeon RX 580)
« Réponse #9 le: 18 février 2021 à 05:24 »
Merci Davlabedave :)

Ouais...Bon je crois comprendre que ça veut dire laisse:  "les majs Kernel holdées..."
Oui je ne crains pas grand chose, c'est sur.

Quels sont les avantages d'utiliser le pilote 20.30 vs le 20.20?
Sur le site d'AMD, c'est bien le 20.20 qui est proposé pour ubuntu 20.04.

D'ailleurs à ce sujet jusqu’à avant hier sur la LM19.3 (unbuntu 18.04 based), j'avais le pilote amdgpu-pro 18.xx, je ne vois aucune différence aujourd'hui avec le 20.20. Même temps de calcul sur les mêmes UT.
Donc faudrait vraiment qu'il y ait un très gros avantage à: changer de nouveau de kernel puis installer amdgpu-pro 20.30. Surtout si près du raid  :siflotte:
Et tout ça pour avoir toujours les majs bloquées sur le 5.60.xx ... Si c'est qu'une question d'avoir un kernel d'une version supérieure sans réel bénéfice, je vais m'abstenir. J'ai un PC qui crunche depuis mes débuts (2014) qui a un kernel 3.19 et il marche très bien (en fonction de sa faible puissance).

Quelqu'un qui utilise le pilote amdgpu-pro, aurait il eu l'expérience d'une mise à jour de kernel ?  Si oui, qu'est ce que ça a donné?
Pour info sur LM19.3, je faisais toutes les mises à jour kernel, même les majeurs (passage du 4.18 au 5.xx) et ça fonctionnait toujours avec le pilote amdgpu-pro 18.xx....Mais bon il n'y avait pas tous ces problèmes de versions a l'installation. :/

 :hello:
In a world without walls and fences, who needs windows and gates?

Mes configs

[AF>Libristes] alain65

  • Messages: 250
  • Boinc'eur Confirmé
  • ***
  •   
Re : Re : [résolu] Installation de amdgpu-pro sur LM20.1 (Radeon RX 580)
« Réponse #10 le: 18 février 2021 à 05:57 »
@Maeda  :kookoo:
Prêt, prêt c'est vite dit  :siflotte:
J'ai installé le logiciel pour lequel il me fallait LM20.1. Tout c'est bien passé, mais il n'a aucun effet.
Pourtant sur mes deux autres LM20.1 ça marche  :/
Je vais réessayer cette nuit et si ça ne fonctionne toujours pas, je posterai dans le topic ad hoc.

C'est bon Le logiciel qui va bien fonctionne, j'ai relancer la procédure et cette fois c'est bon  :pt1cable:
Je vais être presque prêt  :siflotte:
Il me reste à l'installer sur une debian 10 sur une dernière Lm20.1 et si j'ai le temps me faire un dual sur la LM17.3 (debian 10 ou LM20) pour bénéficier sur celui la aussi du fameux logiciel qui va bien  :siflotte:... Si pas fait c'est pas grave vu sa faible puissance, je ne gagnerai/perdrai pas grand chose, en tout cas je ne compte pas sur lui pour faire la différence sur le raid.
Encore merci Maeda pour le tuyau du kernel  :plusun:
In a world without walls and fences, who needs windows and gates?

Mes configs

[AF>Libristes] Davlabedave

  • Messages: 294
  • Boinc'eur Confirmé
  • ***
  •   
Re : Re : [résolu] Installation de amdgpu-pro sur LM20.1 (Radeon RX 580)
« Réponse #11 le: 18 février 2021 à 12:20 »
Sur le site d'AMD, c'est bien le 20.20 qui est proposé pour ubuntu 20.04.
Bizarre quand je mets rx580 il propose le 20.45 pas le 20.20 https://www.amd.com/en/support/graphics/radeon-500-series/radeon-rx-500-series/radeon-rx-580
« Modifié: 18 février 2021 à 12:31 par [AF>Libristes] Davlabedave »

AMD Ryzen9 3900X@4.25Ghz all core (12c/24t), AMD Vega64, 32Go Patriot Viper Steel 4400@3733 CAS14, Seasonic Prime-TX 1000, Windows 10 /Ubuntu 20.04

[AF>Libristes] alain65

  • Messages: 250
  • Boinc'eur Confirmé
  • ***
  •   
Re : [résolu] Installation de amdgpu-pro sur LM20.1 (Radeon RX 580)
« Réponse #12 le: 19 février 2021 à 01:58 »
@Davlabedave  :kookoo:

Ha oui! Tiens...

Le site site ubuntu ou mint que j'ai consulté, m'a renvoyé sur cette page : https://www.amd.com/en/support/kb/release-notes/rn-amdgpu-unified-linux-20-20. Pourtant ça datait de novembre 2020 cette publie...
Comme c'est écris pour ubuntu 20.04, je n'ai pas chercher plus loin  :etmerde: :spamafote:
Il est vrai que le 20.20 date de juin 2020 alors que le 20.45 est de décembre. J'aurai du faire une recherche moi même pour ma carte.  :cpopossib:
Bon maintenant, c'est trop tard, on verra ça aux prochaines vacances. Pis si ça continu à bien fonctionner, peut être que ça restera comme ça jusqu’à LM21  :siflotte:

Merci pour l'info :)

Sinon, il a quoi de plus d'intéressant le 20.45?

 :hello:
In a world without walls and fences, who needs windows and gates?

Mes configs